PROJ	=SBPLAY
DEBUG	=0
CC	=qcl
AS	=qcl
CFLAGS_G	= /AL /W1 /Ze 
CFLAGS_D	= /Zd /Zr /Od 
CFLAGS_R	= /O /Ot /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_R)
AFLAGS_G	=/Cx /P1
AFLAGS_D	=/Zi
AFLAGS_R	=/DNDEBUG
AFLAGS	=$(AFLAGS_G) $(AFLAGS_R)
LFLAGS_G	= /CP:0xfff /NOI /SE:0x80 /ST:0x2000 
LFLAGS_D	= 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_R)
RUNFLAGS	=
H = 	include\sound.h csource\sbplay.h 
OBJS_EXT = 	
LIBS_EXT = 	lib\graphics.lib 

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).EXE

sndshell.obj:	csource\sndshell.c $(H)

sb.obj:	csource\sb.c $(H)

_sbdma.obj:	source\_sbdma.asm $(INC)

_pcplay.obj:	source\_pcplay.asm $(INC)

mouse.obj:	csource\mouse.c $(H)

sbplay.obj:	csource\sbplay.c $(H)

_digplay.obj:	source\_digplay.asm $(INC)

ems.obj:	csource\ems.c $(H)

$(PROJ).EXE:	sndshell.obj sb.obj _sbdma.obj _pcplay.obj mouse.obj sbplay.obj _digplay.obj \
	ems.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
sndshell.obj +
sb.obj +
_sbdma.obj +
_pcplay.obj +
mouse.obj +
sbplay.obj +
_digplay.obj +
ems.obj +
$(OBJS_EXT)
$(PROJ).EXE

$(LIBS_EXT);
<<
	qlink $(LFLAGS) @$(PROJ).crf

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)

